Gnome2::GConf::Entry(3)

NAME
Gnome2::GConf::Entry - Container Objects for key/value pairs

SYNOPSIS
  $client = Gnome2::GConf::Client->get_default;
  $client->notify_add($config_key, sub {
      my ($client, $cnxn_id, $entry) = @_;
      return unless $entry;

      unless ($entry->{value})
      {
        $label->set_text('');
      }
      elsif ($entry->{value}->{type} eq 'string')
      {
        $label->set_text($entry->{value}->{value});
      }
      else
      {
        $label->set_text('!type error!');
      }
    });

DESCRIPTION
In C, "GConfEntry" is a opaque container for the key string and for the "GConfValue" bound to that key. In perl, it's a blessed reference to Gnome2::GConf::Entry, holding these keys:

key The key that is being monitored.

value
    An hashref, representing a "GConfValue" (see Gnome2::GConf::Value), which contains the type and the value of the key; it may be undef if the key has been unset. Every method of the C API is replaced by standard perl functions that operate on hashrefs.

is_default
    Whether the Gnome2::GConf::Value held by this entry is the default value provided by the schema attached to the key.

is_writable
    Whether the key is stored in a writable source inside the GConf database.

schema_name
    The name of the schema key bound to this key.

SEE ALSO
Gnome2::GConf(3pm), Gnome2::GConf::Value(3pm).

SEE ALSO
Gnome2::GConf

COPYRIGHT
Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2::GConf for a full notice.